/*
 * Copyright 2009 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.record;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * Annotation for arrays.
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface ArrayField {
	/**
	 * Number of elements in array.
	 * @return elements
	 */
	public int elements() default 1;
	/**
	 * Length in bytes of count prefix.
	 * @return number bytes (value &lt;= 0 means no count prefix)
	 */
	public int countprefix() default 0;
	public String elementsExpr() default "";
}
