/*
 * Copyright 2024 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.record.test;

import dk.vajhoej.record.ArrayField;
import dk.vajhoej.record.FieldType;
import dk.vajhoej.record.Struct;
import dk.vajhoej.record.StructField;

@Struct
public class ExprData {
    @StructField(n=0,type=FieldType.FIXSTR,length=1)
    private String tag;
    @StructField(n=1,type=FieldType.FIXSTR,lengthExpr="js:rec.tag == 'A' ? 8 : 2")
    private String sv;
    @ArrayField(elementsExpr="js:rec.tag == 'A' ? 1 : 4")
    @StructField(n=2,type=FieldType.INT2)
    private short[] iv = new short[0];
	public String getTag() {
		return tag;
	}
	public void setTag(String tag) {
		this.tag = tag;
	}
	public String getSv() {
		return sv;
	}
	public void setSv(String sv) {
		this.sv = sv;
	}
	public short[] getIv() {
		return iv;
	}
	public void setIv(short[] iv) {
		this.iv = iv;
	}
}
